;;; -*- Scheme -*-

#|
Description:

This code tests generic arithmetic: possible open coding or
special utilities invoked.

Usage:
Try each of them as if they were +, etc.
|#

(declare (usual-integrations))

(define (my-+ x y)
  (flo:+ x y))

(define (my-- x y)
  (flo:- x y))

(define (my-* x y)
  (flo:* x y))

(define (my-/ x y)
  (flo:/ x y))

(define (my-= x y)
  (flo:= x y))

(define (my-< x y)
  (flo:< x y))

(define (my-> x y)
  (flo:> x y))

(define (my-zero? x)
  (flo:zero? x))

(define (my-positive? x)
  (flo:positive? x))

(define (my-negative? x)
  (flo:negative? x))

(define (my-negate x)
  (flo:negate x))

(define (my-abs x)
  (flo:abs x))

(define (my-exp x)
  (flo:exp x))

(define (my-log x)
  (flo:log x))

(define (my-sin x)
  (flo:sin x))

(define (my-cos x)
  (flo:cos x))

(define (my-tan x)
  (flo:tan x))

(define (my-asin x)
  (flo:asin x))

(define (my-acos x)
  (flo:acos x))

(define (my-atan x)
  (flo:atan x))

(define (my-sqrt x)
  (flo:sqrt x))

(define (my-floor x)
  (flo:floor x))

(define (my-ceiling x)
  (flo:ceiling x))

(define (my-truncate x)
  (flo:truncate x))

(define (my-round x)
  (flo:round x))

(define (my-atan2 y x)
  (flo:atan2 y x))

(define (my-expt x y)
  (flo:expt x y))
