;;; -*- Scheme -*-

#|
Description:
This code tests uuo links.

Usage:
(foo 2) -> unbound variable {one of bar baz quux gack mumble grumble}
(define bar identity-procedure)
(define baz identity-procedure)
(define quux identity-procedure)
(define mumble identity-procedure)
(define grumble identity-procedure)
(foo 2) -> unbound variable gack
(define gack identity-procedure)
(foo 2) -> 4
|#

(declare (usual-integrations))

(define (foo x)
  (+ (* (bar x) (baz x))
     (- (* (quux x) (gack x))
	(* (mumble x) (grumble x)))))