;;; -*- Scheme -*-

#|
Description:
Standard iterative reverse.

Usage:
(reverse '(1 2 3 4)) -> (4 3 2 1)
|#

(declare (usual-integrations))

(define (reverse some-list)
  (define (loop l m)
    (cond ((pair? l)
	   (loop (cdr l) (cons (car l) m)))
	  ((null? l) m)
	  (else
	   (error "Reverse: not a list" some-list))))
  (loop some-list '()))

      
