;;; -*- Scheme -*-

#|
Description:
This code causes an unbound variable error if bar is unbound.

Usage:
(foo 2) -> Unbound variable bar
(define bar +)
(foo 2) -> 5
(fluid-let ((bar *)) (foo 2)) -> 6
(set! bar)
(foo 2) -> Unassigned variable bar
|#

(declare (usual-integrations))

(define (foo x)
  (bar 3 x))