;;; -*- Scheme -*-

#|
Description:
This code tests vector indexing and some arithmetic

Usage:
(odd-elements '#(8 7 6 5 4 3 2 1)) -> (8 6 4 2)
|#

(declare (usual-integrations))

(define (odd-elements v)
  (let ((l (vector-length v)))
    (define (do-it n)
      (if (>= n l)
	  '()
	  (cons (vector-ref v n)
		(do-it (+ n 2)))))
    (do-it 0)))