;;; -*- Scheme -*-


#|
Description:

This code tests generic arithmetic: possible open coding or
special utilities invoked.

Usage:
Try each of them as if they were +, etc.
|#

(declare (usual-integrations))

(define (my-+ x y)
  (+ x y))

(define (my-- x y)
  (- x y))

(define (my-* x y)
  (* x y))

(define (my-/ x y)
  (/ x y))

(define (my-= x y)
  (= x y))

(define (my-< x y)
  (< x y))

(define (my-> x y)
  (> x y))

(define (my-1+ x)
  (1+ x))

(define (my--1+ x)
  (-1+ x))

(define (my-zero? x)
  (zero? x))

(define (my-positive? x)
  (positive? x))

(define (my-negative? x)
  (negative? x))
