;;; -*- Scheme -*-

#|

Description:

This code tests generic arithmetic and fixnum specific arithmetic.

Usage:

(fib 20) -> 6765
(ffib 20) -> 6765
(fib 19.0001) -> 4181.6765

|#

(declare (usual-integrations))

(define (fib n)
  (if (< n 2)
      n
      (+ (fib (-1+ n)) (fib (- n 2)))))

(define (ffib n)
  (if (fix:< n 2)
      n
      (fix:+ (ffib (fix:-1+ n)) (ffib (fix:- n 2)))))