;;; -*- Scheme -*-

#|
Description:
This code tests the closing code.

Usage:
((repeated 1+ 4) 5) -> 9
|#

(declare (usual-integrations))

(define (repeated f n)
  (define (loop m accum)
    (if (zero? m)
	accum
	(loop (-1+ m)
	      (lambda (x)
		(accum (f x))))))
  (loop n (lambda (x) x)))